First time here? Check out the FAQ!
x

Version information about Adobe Photoshop.

0 votes
asked by
edited by

We bought the application but when opening files with PSD, it tells us that the version of Photoshop is incompatible, we tested with CS4, CS5 and CS6 .

Do we have to have some plugin or another installed version?

1 Answer

0 votes
answered by (329k points)

Try to repair your Adobe installation because the software captures the data as PSD layers. There is no certain version of Adobe Photoshop that needs to be installed as it works for all of them above 7.0. Additionally, install the application again using the official store.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...